Page MenuHomePhabricator

Prefix path when displaying thin archives
ClosedPublic

Authored by marksantaniello on Nov 29 2016, 10:46 AM.

Details

Reviewers
davide
rafael
Summary

On thin archives, we store relative paths from the archive itself to its members. When displaying the contents of the archive, gnu ar converts back by prefixing the path portion of path/to/archive. Here we match the gnu ar behavior.

Diff Detail

Event Timeline

marksantaniello retitled this revision from to Prefix path when displaying thin archives.
marksantaniello updated this object.
marksantaniello added a reviewer: rafael.
marksantaniello set the repository for this revision to rL LLVM.
marksantaniello added a subscriber: llvm-commits.
marksantaniello removed rL LLVM as the repository for this revision.

Remove trailing newline.

marksantaniello updated this revision to Diff 79906.EditedDec 1 2016, 7:05 AM
marksantaniello updated this object.

Fix new test (added in D27217) so it covers the new behavior.

@rafael could you please review this, and maybe even commit it? Thanks.

davide accepted this revision.Dec 5 2016, 6:56 AM
davide edited edge metadata.

LGTM

This revision is now accepted and ready to land.Dec 5 2016, 6:56 AM
davide closed this revision.Dec 5 2016, 6:56 AM